<div class="m_categories">
    <?php osc_goto_first_category(); ?>
    <?php while ( osc_has_categories() ) { ?>       
		<a href="<?php echo osc_search_category_url(); ?>" title="<?php echo osc_category_description() ; ?>" >
			<?php
				if(file_exists(osc_themes_path() . 'one/images/categ_image/' . osc_category_id() . '.png')) {
					$img = osc_base_url() . 'oc-content/themes/one/images/categ_image/' . osc_category_id() . '.png';
					} else {
					$img = osc_base_url() . 'oc-content/themes/one/images/none.png';
				}
			?> 
			<span class="m_image">
			<img src="<?php echo $img; ?>" alt="<?php echo osc_category_name() ; ?>"/></span>       
			<span><?php echo osc_highlight( strip_tags( osc_category_name() ),52 ); ?></span>
		</a>
	<?php } ?>
</div>